<xml></xml>

Saxon API for .NET |

# XQueryEvaluator.GetEnumerator Method

Evaluate the query, returning the result as an `IEnumerator` (that is, an enumerator over a sequence of nodes and/or atomic values).

public IEnumerator GetEnumerator();

#### Return Value

An enumerator over the sequence that represents the results of the query. Each object in this sequence will be an instance of `XdmItem`. Note that the query may be evaluated lazily, which means that a successful response from this method does not imply that the query has executed successfully: failures may be reported later while retrieving items from the iterator.

#### Implements

IEnumerable.GetEnumerator

#### Exceptions

Exception Type | Condition
--- | ---
DynamicError | Throws a DynamicError if any run-time failure occurs while evaluating the expression.

#### See Also

XQueryEvaluator Class | Saxon.Api Namespace